Skip to main content
GET
/
api
/
v3
/
withdraw
/
status
/
{reference_id}
Get Withdrawal Mobile Money Status
curl --request GET \
  --url https://preview.kotanipay.com/api/v3/withdraw/status/{reference_id} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Withdrawal status retrieved",
  "data": {
    "id": "5f9b2c7b9c9d6b0017b4e6b1",
    "amount": 10,
    "walletId": "5f9b2c7b9c9d6b0017b4e6b1",
    "status": "RETRY",
    "referenceNumber": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "transactionCost": 123,
    "transactionAmount": 123,
    "customerKey": "<string>",
    "integratorFeeAmount": 123,
    "integratorFee": 123,
    "integratorCommissionType": "PERCENTAGE",
    "errorMessage": "<string>",
    "callbackUrl": "https://example.com",
    "referenceId": "5f9b2c7b9c9d6b0017b4e6b1",
    "currency": "USD",
    "confirmationId": "<string>",
    "transactionError": "<string>",
    "telcoId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint will return the status of the withdrawal request.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

reference_id
string
required

Response

success
boolean
Example:

true

message
string
Example:

"Withdrawal status retrieved"

data
object